# WEB+DB PRESS Vol.92 特集2「［実践］データ収集」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.92」の特集2「［実践］データ収集」のサンプルコードです。

## 第1章

第1章にはサンプルコードはありません。

## 第2章

Fluentdのサンプル設定ファイルおよび、フィルタープラグインのサンプル実装 filter_md5.rb のコードです。

[02_fluentd](./02_fluentd)

* Fluentdの使い方
  * サンプル設定ファイル
    * [01_sample.conf](02_fluentd/01_sample.conf)
* Fluentd の設定ファイル
  * &lt;source&gt; ディレクティブ ── Inputプラグイン設定
    * [02_source.conf](02_fluentd/02_source.conf)
  * &lt;match&gt; ディレクティブ ── Outputプラグインの設定
    * [03_match.conf](02_fluentd/03_match.conf)
  * &lt;filter&gt; ディレクティブ ── Filterプラグインの設定
    * [04_filter.conf](02_fluentd/04_filter.conf)
  * &lt;system&gt; ディレクティブ ── Fluentdコアの動作を決定
    * [05_system.conf](02_fluentd/05_system.conf)
  * &lt;label&gt; ディレクティブ ── ラベルによる内部ルーティング
    * [06_label.conf](02_fluentd/06_label.conf)
  * @include ディレクティブ ── 分割した設定ファイルの取り込み
    * [07_include.conf](02_fluentd/07_include.conf)
* プラグインの作成
  * Filter プラグインの実装サンプル
    * [08_filter_md5.conf](02_fluentd/08_filter_md5.conf)
    * [filter_md5.rb](02_fluentd/filter_md5.rb)

## 第3章

Embulkのサンプルデータおよび設定ファイルです。

[03_embulk](./03_embulk)

* Embulkの使い方
  * サンプルデータと設定ファイルの自動生成
    * [webdb](02_embulk/webdb)
  * 設定ファイルの推測
    * [01_config.yml](02_embulk/01_config.yml)
  * 増分ロード
    * [02_diff.yml](02_embulk/02_diff.yml)
  * PostgreSQLへの書き出し
    * [03_config.yml](02_embulk/03_config.yml)
* プラグインバンドルを使う
  * [Gemfile](02_embulk/Gemfile)
  * [Gemfile.lock](02_embulk/Gemfile.lock)

## 第4章

第4章にはサンプルコードはありません。

## 第5章

第5章にはサンプルコードはありません。
