require 'digest'

module Fluent
  class Md5Filter < Filter
    Plugin.register_filter('md5', self)

    config_param :field, :string, :default => 'md5'

    def filter(tag, time, record)
      new_record = record.dup
      md5 = Digest::MD5.hexdigest(record.to_json)
      new_record[@field] = md5
      new_record
    end
  end
end
